## org.h2.android
Class H2Exception

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              android.database.SQLException
                  org.h2.android.H2Exception

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  H2AbortException, H2ConstraintException, H2DatabaseCorruptException, H2DiskIOException, H2DoneException, H2FullException, H2MisuseException

    public class H2Exception

extends android.database.SQLException

This exception is thrown when there is a syntax error or similar problem.

See Also:
  Serialized Form

Constructor Summary
`H2Exception()`
`H2Exception(java.lang.String error)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### H2Exception

    public H2Exception()

### H2Exception

    public H2Exception(java.lang.String error)